<?php

use Illuminate\Database\Migrations\Migration;

class CreateTransferrequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: transferrequests
         */
        Schema::create('transferrequests', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('quantity')->nullable();
            $table->integer('approved_by')->nullable();
            $table->integer('requested_by')->nullable();
            $table->integer('transfer_request_by')->nullable();
            $table->enum('status', ['Approved','Pending'])->nullable();
            $table->string('admin_remarks', 255)->nullable();
            $table->timestamp('transfered_date')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('transferrequests');
    }
}
