@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('transferrequest::transferrequest.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('transferrequest::transferrequest.names') !!}</small>
@stop

@section('title')
{!! trans('transferrequest::transferrequest.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('transferrequest::transferrequest.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='transferrequest-transferrequest-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="transferrequest-transferrequest-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('transferrequest::transferrequest.label.user_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.category_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.subcategory_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.location_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.sublocation_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.quantity')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.approved_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.requested_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.transfer_request_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.status')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.admin_remarks')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.transfered_date')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.created_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::numeric('search[user_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[category_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[subcategory_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[location_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[sublocation_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[quantity]')->raw()!!}</th>
        <th>{!! Form::numeric('search[approved_by]')->raw()!!}</th>
        <th>{!! Form::numeric('search[requested_by]')->raw()!!}</th>
        <th>{!! Form::numeric('search[transfer_request_by]')->raw()!!}</th>
        <th>{!! Form::select('search[status]')->raw()!!}</th>
        <th>{!! Form::text('search[admin_remarks]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[transfered_date]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[created_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#transferrequest-transferrequest-entry', '{!!trans_url('admin/transferrequest/transferrequest/0')!!}');
    oTable = $('#transferrequest-transferrequest-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/transferrequest/transferrequest') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#transferrequest-transferrequest-list .search_bar input, #transferrequest-transferrequest-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'user_id'},
                    {data :'category_id'},
                    {data :'subcategory_id'},
                    {data :'location_id'},
                    {data :'sublocation_id'},
                    {data :'quantity'},
                    {data :'approved_by'},
                    {data :'requested_by'},
                    {data :'transfer_request_by'},
                    {data :'status'},
                    {data :'admin_remarks'},
                    {data :'transfered_date'},
                    {data :'created_at'},
        ],
        "pageLength": 25
    });

    $('#transferrequest-transferrequest-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#transferrequest-transferrequest-list').DataTable().row( this ).data();

        $('#transferrequest-transferrequest-entry').load('{!!trans_url('admin/transferrequest/transferrequest')!!}' + '/' + d.id);
    });

    $("#transferrequest-transferrequest-list .search_bar input, #transferrequest-transferrequest-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

