<?php

namespace Assetdocs\Transferrequest\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Assetdocs\Transferrequest\Models\Transferrequest;

class TransferrequestPolicy
{
    use HandlesAuthorization;

    /**
     * Determine if the given user can view the transferrequest.
     *
     * @param User $user
     * @param Transferrequest $transferrequest
     *
     * @return bool
     */
    public function view(User $user, Transferrequest $transferrequest)
    {
        if ($user->canDo('transferrequest.transferrequest.view') && $user->is('admin')) {
            return true;
        }

        return $user->id === $transferrequest->user_id;
    }

    /**
     * Determine if the given user can create a transferrequest.
     *
     * @param User $user
     * @param Transferrequest $transferrequest
     *
     * @return bool
     */
    public function create(User $user)
    {
        return  $user->canDo('transferrequest.transferrequest.create');
    }

    /**
     * Determine if the given user can update the given transferrequest.
     *
     * @param User $user
     * @param Transferrequest $transferrequest
     *
     * @return bool
     */
    public function update(User $user, Transferrequest $transferrequest)
    {
        if ($user->canDo('transferrequest.transferrequest.update') && $user->is('admin')) {
            return true;
        }

        return $user->id === $transferrequest->user_id;
    }

    /**
     * Determine if the given user can delete the given transferrequest.
     *
     * @param User $user
     * @param Transferrequest $transferrequest
     *
     * @return bool
     */
    public function destroy(User $user, Transferrequest $transferrequest)
    {
        if ($user->canDo('transferrequest.transferrequest.delete') && $user->is('admin')) {
            return true;
        }

        return $user->id === $transferrequest->user_id;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperUser()) {
            return true;
        }
    }
}
